## lifeograph 0.6.3

=== debian/changelog ===
lifeograph (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 30 May 2010 14:31:03 +0000

lifeograph (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 11 Apr 2010 17:51:11 +0000

lifeograph (0.5.6-1) unstable; urgency=low

  * New upstream release with many new features.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Dec 2009 16:58:43 +0000

lifeograph (0.5.5-1) unstable; urgency=medium

  * New upstream release; fixing a diary corruption, hence the urgency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Sep 2009 11:35:51 +0000

lifeograph (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 06 Sep 2009 16:51:16 +0000

lifeograph (0.5.3-1) unstable; urgency=low

  * New upstream release. 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 21 Aug 2009 08:59:10 +0000

lifeograph (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Jul 2009 18:45:33 +0000

lifeograph (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Upgrade to Standards-Version 3.8.2, remove dh_desktop which is now
    deprecated.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 12 Jul 2009 12:46:52 +0000

lifeograph (0.4.1-1) unstable; urgency=low

  * Initial Debian upload.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 10 Jan 2009 10:23:28 +0000

lifeograph (0.4.1-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix release

 -- Ahmet Öztürk <aoz_2@yahoo.com>  Mon, 05 Jan 2009 23:39:14 +0200

lifeograph (0.4.0-0ubuntu1) intrepid; urgency=low

  * Initial debian package

 -- Ahmet Öztürk <aoz_2@yahoo.com>  Fri, 12 Dec 2008 13:33:28 +0200
