=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
Standards-Version: 3.8.4
Homepage: http://lifeograph.wikidot.com

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
