=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package = lifeograph
CC = gcc
CFLAGS = -g -Wall

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif


clean: 
		dh_testdir
		dh_clean
		rm -f build
		$(MAKE) clean

install: build
		dh_clean
		dh_installdirs
		$(MAKE) prefix=$(CURDIR)/debian/$(package)/usr \
				datadir=$(CURDIR)/debian/$(package)/usr/share \
                install
#               mandir=$(CURDIR)/debian/$(package)/usr/share/man \

build:
#./configure --prefix=/usr
		$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)"
		touch build

binary-indep: install
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: install
		dh_testdir -a
		dh_testroot -a
		dh_installdocs -a
		dh_installchangelogs -a $(CURDIR)/debian/changelog
#dh_installmenu
		dh_installman $(CURDIR)/lifeograph.1
		dh_strip -a
		dh_compress -a
		dh_fixperms -a
		dh_installdeb -a
		dh_shlibdeps -a
		dh_gencontrol -a
		dh_md5sums -a
		dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
