## lifeograph 0.7.3

=== debian/changelog ===
lifeograph (0.7.3-1+r1001) unstable; urgency=low

  * New upstream release and bugfixes from bazaar r1001 .
  * Update package building rules.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 17 Aug 2011 22:02:21 +0200
