## lifeograph 0.7.4

=== wscript ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #! /usr/bin/env python
 
+#   Copyright (C) 2007-2011 Ahmet Öztürk (aoz_2@yahoo.com)
+#
 #   This file is part of Lifeograph.
 #
 #   Lifeograph is free software: you can redistribute it and/or modify
@@ -26,8 +28,7 @@
 lifeograph_sources = [
     'src/settings.cpp', 'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
     'src/gui_tag.cpp',
-    'src/dialog_chaptereditor.cpp', 'src/dialog_export.cpp',
-    'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
+    'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
     'src/helpers.cpp',
     'src/lifeobase.cpp', 'src/lifeograph.cpp', 'src/main.cpp',
     'src/view_entry.cpp','src/views.cpp',
@@ -37,7 +38,7 @@
     ]
 
 APPNAME='lifeograph'
-VERSION='0.7.3'
+VERSION='0.7.4'
 
 srcdir = '.'
 blddir = 'build'
