=== debian/changelog ===
lifeograph (0.7.4-1) unstable; urgency=low

  * New, unstable upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 08:51:01 +0100
