## lifeograph 0.8.1.dfsg

=== debian/changelog ===
lifeograph (0.8.1.dfsg-1) unstable; urgency=low

  * New major upstream release, waf is removed as it's not needed anymore
    (closes: #654484).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 07 Mar 2012 07:24:39 +0000
