=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
+Standards-Version: 3.9.2
 Homepage: http://lifeograph.wikidot.com
 
 Package: lifeograph
