=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-WAF=./waf
+#WAF=./waf
+export IAMDEBPKGR=1
+
 package = lifeograph
 CC = gcc
 CFLAGS = -g -Wall
@@ -17,22 +19,29 @@
 clean: 
 		dh_testdir
 		dh_clean
-		$(WAF) --nocache distclean
-#		rm -rf build
+#		$(WAF) --nocache distclean
+		make -f makefile.debian clean
+		rm -f lifeograph.desktop
 
 install: build
 		dh_clean
 		dh_installdirs
-		$(WAF) --nocache install --destdir $(CURDIR)/debian/$(package)
+#		$(WAF) --nocache install --destdir $(CURDIR)/debian/$(package)
+		make -f makefile.debian install PREFIX=/usr \
+			DESTDIR=$(CURDIR)/debian/$(package)
 
 configure:
-		$(WAF) --nocache configure --prefix=/usr
+#		$(WAF) --nocache configure --prefix=/usr
+		make -f makefile.debian preparations
 
-build-arch: build
-build-indep: build
+build-arch: build-stamp
+build-indep: build-stamp
 
-build: configure
-		$(WAF) --nocache build
+build: build-arch build-indep
+
+build-stamp: configure
+#		$(WAF) --nocache build
+		make -f makefile.debian all
 		touch $@
 
 binary-indep: install
