## lifeograph 0.8.2.dfsg

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/env python
 
-#   Copyright (C) 2007-2011 Ahmet Öztürk (aoz_2@yahoo.com)
+#   Copyright (C) 2007-2012 Ahmet Öztürk (aoz_2@yahoo.com)
 #
 #   This file is part of Lifeograph.
 #
@@ -24,21 +24,22 @@
 
 import Options
 
+APPNAME='lifeograph'
+VERSION='0.8.0'
 
 lifeograph_sources = [
-    'src/settings.cpp', 'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
-    'src/gui_tag.cpp',
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
+    'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
+    'src/entry_parser.cpp', 'src/gui_tag.cpp',
     'src/helpers.cpp',
-    'src/lifeobase.cpp', 'src/lifeograph.cpp', 'src/main.cpp',
+    'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
+    'src/panel_diary.cpp', 'src/panel_main.cpp',
+    'src/printing.cpp', 'src/settings.cpp', 
     'src/view_entry.cpp','src/views.cpp',
-    'src/widget_textview.cpp', 'src/widget_entrylist.cpp', 'src/widget_chart.cpp',
-    'src/widget_panel_exp.cpp', 'src/panel_main.cpp', 'src/panel_diary.cpp',
+    'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
+    'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
     ]
-
-APPNAME='lifeograph'
-VERSION='0.7.4'
 
 srcdir = '.'
 blddir = 'build'
