=== debian/changelog ===
lifeograph (0.8.2.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 07 Jun 2012 23:19:43 +0200
