=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lifeograph.wikidot.com
 
 Package: lifeograph
