## lifeograph 0.9.0.dfsg

=== wscript ===
--- 
+++ 
@@ -25,7 +25,7 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.8.0'
+VERSION='0.9.0'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
@@ -35,7 +35,7 @@
     'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
     'src/panel_diary.cpp', 'src/panel_main.cpp',
     'src/printing.cpp', 'src/settings.cpp', 
-    'src/view_entry.cpp','src/views.cpp',
+    'src/view_entry.cpp','src/view_login.cpp','src/views.cpp',
     'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
     'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
@@ -61,8 +61,8 @@
 
     # checks
     conf.check_tool('compiler_cxx')
-    conf.check_cfg(package='gtkmm-2.4', atleast_version='2.16', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
-    conf.check_cfg(package='gtkspell-2.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
+    conf.check_cfg(package='gtkmm-3.0', atleast_version='3.0', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
+    conf.check_cfg(package='gtkspell-3.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
     conf.check(lib='gcrypt',  uselib_store='gcrypt', mandatory=True)
     conf.check_tool('intltool')
 
@@ -74,6 +74,7 @@
     conf.define('PIXMAPDIR', os.path.join(conf.env['PREFIX'], 'share/pixmaps'))
     conf.define('ICONDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'icons'))
     conf.define('UIDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'ui'))
+    conf.define('DIARYDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'diaries'))
 
     # default prefix
     #conf.env.PREFIX = '/usr'
@@ -184,8 +185,10 @@
                                                        'icons/tag-16.png',
                                                        'icons/tag-32.png' ] )
 
-    bld.install_files( '${DATADIR}/pixmaps/lifeograph/backgrounds',
-                       'backgrounds/*.png')
-
     # ui
     bld.install_files('${DATADIR}/lifeograph/ui', 'ui/*.ui')
+    
+    # diaries
+    bld.install_as('${DATADIR}/lifeograph/diaries/example.diary', 'diaries/example.diary')
+    bld.install_as('${DATADIR}/lifeograph/diaries/Lifeograph Manual', 'diaries/Lifeograph Manual')
+
