=== debian/changelog ===
lifeograph (0.9.0.dfsg-1) unstable; urgency=low

  * New upstream release, upgraded to GTK+ 3.
  * Build with hardening enabled.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 12 Jul 2012 19:26:30 +0200
