=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libgtkspell-3-dev
 Standards-Version: 3.9.3
 Homepage: http://lifeograph.wikidot.com
