=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,20 @@
 #WAF=./waf
 export IAMDEBPKGR=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS		+= $(HARDENING_CFLAGS)
+CPPFLAGS	+= $(HARDENING_CFLAGS) -fPIC
+LDFLAGS		+= $(HARDENING_LDFLAGS)
+
 package = lifeograph
 CC = gcc
-CFLAGS = -g -Wall
+CFLAGS += -g -Wall
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -O2
