## lifeograph 0.11.0.dfsg

=== wscript ===
--- 
+++ 
@@ -25,19 +25,18 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.9.0'
+VERSION='0.11.0'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
     'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
-    'src/entry_parser.cpp', 'src/gui_tag.cpp',
-    'src/helpers.cpp',
+    'src/entry_parser.cpp', 'src/helpers.cpp',
     'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
-    'src/panel_diary.cpp', 'src/panel_main.cpp',
+    'src/panel_diary.cpp', 'src/panel_extra.cpp', 'src/panel_main.cpp',
     'src/printing.cpp', 'src/settings.cpp', 
     'src/view_entry.cpp','src/view_login.cpp','src/views.cpp',
     'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
-    'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
+    'src/widget_tag_list.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
     ]
 
@@ -62,7 +61,7 @@
     # checks
     conf.check_tool('compiler_cxx')
     conf.check_cfg(package='gtkmm-3.0', atleast_version='3.0', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
-    conf.check_cfg(package='gtkspell-3.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
+    conf.check_cfg(package='enchant', args='--cflags --libs', uselib_store='enchant', mandatory=True)
     conf.check(lib='gcrypt',  uselib_store='gcrypt', mandatory=True)
     conf.check_tool('intltool')
 
@@ -117,7 +116,7 @@
     binary = bld.new_task_gen(
         features    = 'cxx cprogram',
         source      = lifeograph_sources,
-        uselib      = 'gtkmm gtkspell gcrypt',
+        uselib      = 'gtkmm enchant gcrypt',
         includes    = '.',
         target      = 'lifeograph')
 
@@ -178,8 +177,11 @@
                                                        'icons/entry-16.png',
                                                        'icons/entry-32.png',
                                                        'icons/favorite-16.png',
+                                                       'icons/favorite-32.png',
                                                        'icons/filter-16.png',
                                                        'icons/filter_remove-16.png',
+                                                       'icons/filter_symbolic-32.png',
+                                                       'icons/gear-32.png',
                                                        'icons/month-16.png',
                                                        'icons/month-32.png',
                                                        'icons/tag-16.png',
@@ -191,4 +193,5 @@
     # diaries
     bld.install_as('${DATADIR}/lifeograph/diaries/example.diary', 'diaries/example.diary')
     bld.install_as('${DATADIR}/lifeograph/diaries/Lifeograph Manual', 'diaries/Lifeograph Manual')
+    bld.install_files('${DATADIR}/lifeograph/diaries/images', 'diaries/images/*.gif')
