=== debian/changelog ===
lifeograph (0.11.0.dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Simon Ruderich <simon@ruderich.org> ]
  * Correct CXXFLAGS usage (closes: #688647).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 20 Jan 2013 21:46:32 +0100
