=== debian/rules ===
--- 
+++ 
@@ -11,21 +11,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS		+= $(HARDENING_CFLAGS)
-CPPFLAGS	+= $(HARDENING_CFLAGS) -fPIC
-LDFLAGS		+= $(HARDENING_LDFLAGS)
+CXXFLAGS += -Wall
+# The build system doesn't respect CPPFLAGS, pass them in CXXFLAGS instead.
+CXXFLAGS += $(CPPFLAGS)
 
 package = lifeograph
 CC = gcc
-CFLAGS += -g -Wall
-
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
-
 
 clean: 
 		dh_testdir
