## lifeograph 0.11.1.dfsg

=== wscript ===
--- 
+++ 
@@ -25,7 +25,7 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.11.0'
+VERSION='0.11.1'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
