=== debian/changelog ===
lifeograph (0.11.1.dfsg-2) unstable; urgency=low

  [ Iain Lane <iain.lane@canonical.com> ]
  * Remove unnecessary BD on libgtkspell-3-dev , add missing libenchant-dev BD
    (closes: #710228).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Jun 2013 01:55:48 +0200

lifeograph (0.11.1.dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 11 Feb 2013 20:59:27 +0100
