=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
Standards-Version: 3.9.4
Homepage: http://lifeograph.wikidot.com

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.
