=== debian/changelog ===
lifeograph (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * Move to debhelper level 9 and short rules format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Sep 2013 02:35:24 +0200

lifeograph (0.11.1.dfsg-3) unstable; urgency=low

  * Fix FTBFS on mipsel (closes: #714591).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Jul 2013 21:44:17 +0200
