=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), intltool, cmake, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
 Standards-Version: 3.9.4
 Homepage: http://lifeograph.wikidot.com
