## lifeograph 1.0.0~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,9 +33,15 @@
 # PACKAGES
 find_package( PkgConfig REQUIRED )
 
+find_program( INTLTOOL "intltool-merge" )
+if( ${INTLTOOL} MATCHES "INTLTOOL-NOTFOUND" )
+    message( "Intltool package not found. It needs to be installed for building Lifeograph" )
+    return()
+endif()
+
 find_library( GCRYPT gcrypt )
 if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
-    message( "Gcrypt library not found" )
+    message( "Gcrypt library not found. It needs to be installed for building Lifeograph" )
     return()
 endif()
 
@@ -93,30 +99,31 @@
 
 add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )
 
-# rev_no.h
-if( ( EXISTS ${PROJECT_SOURCE_DIR}/.bzr ) AND ( ${CMAKE_BUILD_TYPE} MATCHES Debug ) )
-    add_custom_target( APPEND_REV_NO ALL
-                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
-                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
-else()
-     file( WRITE ${LOCAL_INCL_DIR}/rev_no.h "#define REVISION_NO \"\"" )
-endif()
-
 # TARGETS
 add_executable( ${PACKAGE_NAME} ${SOURCE_FILES} )
 
 target_link_libraries( ${PACKAGE_NAME} ${GTKMM_LIBRARIES} ${ENCHANT_LIBRARIES} ${GCRYPT} )
 
+# CUSTOM TARGETS
+if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
 # BACKUP
-if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
     add_custom_target( BACKUP ALL
                        COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
                        DEPENDS ${BUILD_DIR}/${PACKAGE_NAME}
                        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+
+# rev_no.h and build_time.h
+    add_custom_target( TARGET_STAMP_HEADERS
+                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
+                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+
+	add_dependencies( ${PACKAGE_NAME} TARGET_STAMP_HEADERS )
 endif()
 
 # INSTALL
 install( TARGETS ${PACKAGE_NAME} DESTINATION bin )
+
+install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
 
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
 install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
@@ -126,7 +133,7 @@
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
 
-install( FILES lifeograph.desktop DESTINATION share/applications )
+#install( FILES lifeograph.desktop DESTINATION share/applications )
 
 install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
@@ -151,3 +158,13 @@
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )
 
+# xdg: mime info
+install( CODE "execute_process( COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/xdg.cmake
+								WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )" )
+
+# UNINSTALL
+add_custom_target( uninstall
+                   COMMAND ${CMAKE_COMMAND} -DDESTDIR=${CMAKE_INSTALL_PREFIX}
+                   -P ${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake
+                   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+
