## lifeograph 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,18 +35,27 @@
 
 find_program( INTLTOOL "intltool-merge" )
 if( ${INTLTOOL} MATCHES "INTLTOOL-NOTFOUND" )
-    message( "Intltool package not found. It needs to be installed for building Lifeograph" )
+    message( "Program needed for building Lifeograph not found: intltool" )
     return()
 endif()
 
 find_library( GCRYPT gcrypt )
 if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
-    message( "Gcrypt library not found. It needs to be installed for building Lifeograph" )
+    message( "Dev module needed for building Lifeograph not found: gcrypt" )
     return()
 endif()
 
 pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.4 )
+if( NOT GTKMM_FOUND )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.4)" )
+    return()
+endif()
+
 pkg_check_modules( ENCHANT REQUIRED enchant )
+if( NOT ENCHANT_FOUND )
+    message( "Dev module needed for building Lifeograph not found: enchant" )
+    return()
+endif()
 
 # CONFIGURATION HEADER FILE
 configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )
@@ -58,7 +67,7 @@
 
 #link_directories( ${GTKMM_LIBRARY_DIRS} ${ENCHANT_LIBRARY_DIRS} )
 
-set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BUILD_DIR} )
+set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN_DIR} )
 
 # TRANSLATION FILE OPTIONS INVOKED MANUALLY WHEN REQUIRED
 add_custom_command( OUTPUT ${pot_file}
@@ -94,8 +103,8 @@
 endforeach()
 
 add_custom_command( OUTPUT ${desktop_file}
-                    COMMAND intltool-merge -d -u -q po ${desktop_file}.in ${desktop_file}
-                    DEPENDS ${desktop_file}.in )
+                    COMMAND intltool-merge -d -u -q po ${desktop_file_in} ${desktop_file}
+                    DEPENDS ${desktop_file_in} )
 
 add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )
 
@@ -109,7 +118,7 @@
 # BACKUP
     add_custom_target( BACKUP ALL
                        COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
-                       DEPENDS ${BUILD_DIR}/${PACKAGE_NAME}
+                       DEPENDS ${BIN_DIR}/${PACKAGE_NAME}
                        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
 
 # rev_no.h and build_time.h
@@ -125,7 +134,11 @@
 
 install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
 
+
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
+install( FILES icons/lifeograph-256.png DESTINATION share/icons/hicolor/256x256/apps RENAME lifeograph.png )
+install( FILES icons/lifeograph-128.png DESTINATION share/icons/hicolor/128x128/apps RENAME lifeograph.png )
+install( FILES icons/lifeograph-64.png DESTINATION share/icons/hicolor/64x64/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-32.png DESTINATION share/icons/hicolor/32x32/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-24.png DESTINATION share/icons/hicolor/24x24/apps RENAME lifeograph.png )
@@ -133,7 +146,7 @@
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
 
-#install( FILES lifeograph.desktop DESTINATION share/applications )
+#install( FILES ${desktop_file} DESTINATION share/applications )
 
 install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
