=== debian/changelog ===
lifeograph (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop no_extra_newlines.patch , no longer needed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 18:55:27 +0100
