=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/build/ $(CURDIR)/obj-*
	rm -f $(CURDIR)/lifeograph.desktop

%:
	dh $@

.PHONY: override_dh_auto_clean
