## lifeograph 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,9 +45,9 @@
     return()
 endif()
 
-pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.4 )
+pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.6 )
 if( NOT GTKMM_FOUND )
-    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.4)" )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.6)" )
     return()
 endif()
 
@@ -148,8 +148,6 @@
 
 #install( FILES ${desktop_file} DESTINATION share/applications )
 
-install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
@@ -157,17 +155,29 @@
 install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/favorite-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter_remove-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/filter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_category-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_category-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_theme-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_theme-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_canceled-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_canceled-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_done-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_done-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_open-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_open-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/untagged-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/untagged-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
+install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )
