=== debian/changelog ===
lifeograph (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Aug 2014 20:52:53 +0000

lifeograph (1.0.1-2) unstable; urgency=low

  * Install desktop file (closes: #741594).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Mar 2014 13:26:09 +0000
