## lifeograph 1.1.1

=== debian/changelog ===
lifeograph (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Build with libgcrypt20 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 15:31:58 +0000
