=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
+Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt20-dev, libenchant-dev
 Standards-Version: 3.9.5
 Homepage: http://lifeograph.wikidot.com/
